SDL_SetWindowBordered(3)

NAME
SDL_SetWindowBordered - Set the border state of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowBordered(SDL_Window *window, SDL_bool bordered);

DESCRIPTION
This will add or remove the window's SDL_WINDOW_BORDERLESS flag and add or remove the border from the actual window. This is a no-op if the window's border already matches the requested state. You can't change the border state of a fullscreen window.

FUNCTION PARAMETERS

window
    the window of which to change the border state

bordered
    SDL_FALSE
     to remove border, SDL_TRUE
     to add border

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowFlags(3)